/***************************************************************************
                          kall.h  -  description
                             -------------------
    begin                : Fri Dec 14 19:36:45 ICT 2001
    copyright            : (C) 2001 by Robin Atwood
    email                : robin.atwood@attglobal.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KALL_H
#define KALL_H
 
#include <iostream>

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

// include files for Qt
#include <qdir.h>
#include <qprinter.h>
#include <qpainter.h>
#include <qlayout.h>

// include files for KDE
#include <kmessagebox.h>
#include <kfiledialog.h>
#include <kmenubar.h>
#include <kstatusbar.h>
#include <klocale.h>
#include <kconfig.h>
#include <kapplication.h>
#include <kmainwindow.h>
#include <kaction.h>
#include <kstandarddirs.h>
#include <kcmdlineargs.h>


#include "dialdialogimp.h"
#include "kallglobals.h"

class DialDialog; 

class KallApp : public KMainWindow, virtual public KallGlobals
{
  Q_OBJECT

  public:
    KallApp( QWidget* parent=0, KCmdLineArgs *args=0 );
    ~KallApp();
		void showDialDialog();
    void readOptions();
    void saveOptions();

  private:
	 	QString	number, person, org;

    void localeInfo();
		bool mwMode;
};
 
#endif // KALL_H
