/***************************************************************************
                          logviewdialogimp.h  -  description
                             -------------------
    begin                : Thu Jan 10 2002
    copyright            : (C) 2002 by Robin Atwood
    email                : robin.atwood@attglobal.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef LOGVIEWDIALOGIMP_H
#define LOGVIEWDIALOGIMP_H

#include <qsplitter.h>
#include <qsize.h>
#include <qfile.h>
#include <qtextstream.h>

#include <kmessagebox.h>
#include <klocale.h>

#include "ui_logviewdialog.h"
#include "kallglobals.h"

/**Displays a formatted view of the log file.
  *@author Robin Atwood
  */

class LogViewDialogImp : public QDialog, public Ui::LogViewDialog, virtual public KallGlobals
{
	Q_OBJECT
	public:
		LogViewDialogImp( QWidget *parent );
		~LogViewDialogImp();
};

#endif
